参考：[Android 项目 自动打包+上传蒲公英+推送到钉钉群]

https://github.com/yehot/iOS-AutoPackage

## 一、打包要求

1. 自动打包；
2. 打出的 `apk` 包上传到蒲公英；
3. 上传成功后，通知到钉钉开发群；

### 依赖：

1. 
2. 
3. 蒲公英和钉钉提供的 `webhook`；
4. `PlistBuddy` 解析 `plist` 文件（Mac 系统自带）;

## 二、使用说明：

使用此脚本的的话，需要修改`android_package.sh`：

1. `PGY_API_KEY` 对应 `蒲公英 API KEY`
2. `PGY_USER_KEY` 对应 `蒲公英 API KEY`
3. `DD_HOST_URL` 对应 `https://oapi.dingtalk.com/robot/send?access_token=ABCD` 的 `ABCD`
4. `DD_ICON_URL` 对应 `https://appicon.pgyer.com/image/view/app_icons/abcd/120Y` 的 `abcd/120Y`
5. `DD_DOWN_URL` 对应 `http://www.pgyer.com/abcd` 的 `abcd`

```shell
# 执行打包：
sh [path/to]/android_package.sh PRD release yes
```

参数1：PRD 对应工程的环境文件，参数2：签名类型，参数3：yes 代表使用钉钉通知，参数3：no 不使用钉钉通知

## 三、Tips:


```shell
# gradle 安装：
brew install gradle
# 配置环境变量
touch ~/.bash_profile
open ~/.bash_profile

export ANDROID_HOME=/Users/$USER/Library/Android/sdk
export PATH=${PATH}:${ANDROID_HOME}/tools
export PATH=${PATH}:${ANDROID_HOME}/platform-tools
export PATH=${PATH}:${ANDROID_HOME}/build-tools/28.0.3

source ~/.bash_profile
```








